### Constructor

# Gtk.Picture.new_for_pixbuf

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_pixbuf (
      GdkPixbuf* pixbuf
    )

#### Description [src]

Creates a new `GtkPicture` displaying `pixbuf`.

This is a utility function that calls `gtk_picture_new_for_paintable()`, See that function for details.

The pixbuf must not be modified after passing it to this function.

#### Parameters

`pixbuf` | `GdkPixbuf*`
| a `GdkPixbuf`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkPicture`
Ownership is not transferred to the caller